org.eclipse.jdt.ui.search

## Class PatternQuerySpecification

- java.lang.Object
- - org.eclipse.jdt.ui.search.QuerySpecification
  - - org.eclipse.jdt.ui.search.PatternQuerySpecification

    public class PatternQuerySpecification
    extends QuerySpecification

Describes a search query by giving a textual pattern to search for.

This class is not intended to be instantiated or subclassed by clients.

Since:
  3.0
See Also:
  `QuerySpecification`
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
Constructor and Description
`PatternQuerySpecification(String pattern, int searchFor, boolean caseSensitive, int limitTo, IJavaSearchScope scope, String scopeDescription)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPattern()` Returns the search pattern the query should search for.
`int` `getSearchFor()` Returns what kind of `IJavaElement` the query should search for.
`boolean` `isCaseSensitive()` Whether the query should be case sensitive.

### Methods inherited from class org.eclipse.jdt.ui.search.QuerySpecification

`getLimitTo, getScope, getScopeDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PatternQuerySpecification

    public PatternQuerySpecification(String pattern,
                                     int searchFor,
                                     boolean caseSensitive,
                                     int limitTo,
                                     IJavaSearchScope scope,
                                     String scopeDescription)

Parameters:
  `pattern` - The string that the query should search for.
  `searchFor` - What kind of `IJavaElement` the query should search for.
  `caseSensitive` - Whether the query should be case sensitive.
  `limitTo` - The kind of occurrence the query should search for.
  `scope` - The scope to search in.
  `scopeDescription` - A human readable description of the search scope.
See Also:
  `SearchPattern.createPattern(java.lang.String, int, int, int)`

### Method Detail

#### isCaseSensitive

    public boolean isCaseSensitive()

Whether the query should be case sensitive.

Returns:
  Whether the query should be case sensitive.

#### getPattern

    public String getPattern()

Returns the search pattern the query should search for.

Returns:
  the search pattern
See Also:
  `SearchPattern.createPattern(java.lang.String, int, int, int)`

#### getSearchFor

    public int getSearchFor()

Returns what kind of `IJavaElement` the query should search for.

Returns:
  The kind of `IJavaElement` to search for.
See Also:
  `IJavaSearchConstants`